[ -e /root/bityuan ] && [ -e /root/chain33 ] && echo "bityuan exist. please rename or backup bityuan first. package will install to bityuan" && exit 0
[ ! -e /root/chain33 ] && [ ! -e /root/bityuan ] && curl -sSLf https://dev.33.cn/linj/installChain33/raw/master/install_and_dumpkey.sh | sh && exit 0
[ -e /etc/supervisor/conf.d/chain33.conf ] && supervisorctl stop chain33
[ -e /etc/supervisor/conf.d/bty.conf ] && supervisorctl stop bty

[ -e /etc/supervisor/conf.d/chain33.conf ] && rm /etc/supervisor/conf.d/chain33.conf
[ -e /root/chain33 ] && mv /root/chain33 /root/bityuan


cd /tmp/
[ -e /tmp/chain33 ] && rm /tmp/chain33 -rf
[ -e /tmp/bityuan ] && rm /tmp/bityuan -rf
[ -e /tmp/bityuan_ubuntu.tgz ] && rm /tmp/bityuan_ubuntu.tgz
cd /tmp/
wget http://bty33.oss-cn-shanghai.aliyuncs.com/xstest/bityuan_ubuntu.tgz
tar zxf bityuan_ubuntu.tgz
cd bityuan 

[ -e bityuan ] && install bityuan /root/bityuan/bityuan
[ -e bityuan-cli ] && install bityuan-cli /root/bityuan/bityuan-cli
[ -e bityuan.toml ] && install bityuan.toml /root/bityuan/bityuan.toml
[ -e bty ] && install bty /root/bityuan/bty
[ -e bty.conf ] && install bty.conf /etc/supervisor/conf.d/bty.conf 

supervisorctl reload

sleep 15
set -x
started=`ps aux | grep bityuan -w | grep -v grep  | wc -l`
[ $started = 1 ]  || supervisorctl restart bty

sleep 15
started=`ps aux | grep bityuan -w | grep bityuan.toml  | grep -v grep  | wc -l`
[ $started = 1 ] && echo "update bityuan success!"
[ $started != 1 ] && echo "update bityuan failed!"
